@echo off
REM   ///////   /////////  ///////    ///////      ////// 
REM  /////////  /////////  ////////   ////////    ////////
REM  ///   ///     ///     ///  ////  ///  ////  ///   ///
REM  ////          ///     ///   ///  ///   ///  ///   ///
REM   /////        ///     ///   ///  ///   ///  ///   ///
REM     /////      ///     ////////   ////////   /////////
REM       ////     ///     /// ///    /// ///    /////////
REM  ///   ///     ///     ///  ///   ///  ///   ///   ///
REM  /////////     ///     ///   ///  ///   ///  ///   ///
REM   ///////      ///     ///   ///  ///   ///  ///   /// 2011
echo    ****************************************************************
echo    *        This will boot your A500 into bootloader mode,        *
echo    *   flash patched bootloader V3, and flash Thor Recovery 1.7   *
echo    ****************************************************************
echo.
echo    ****************************************************************
echo    *   Before executing, be sure to delete recovery-from-boot.p   *
echo    *          from /system to ensure recovery will stick          * 
echo    ****************************************************************
echo.
echo    ****************************************
echo    *   Reboot your tablet into APX mode   *
echo    ****************************************
echo. 
echo Generate your SBK with your CPUID from here : http://vache-android.com/v1/index.php?site=sbk
SET /P MYSBK=Enter your SBK:
echo.
echo Loading bootloader...
nvflash --bct bct.bct --setbct --bl bootloader.bin --configfile flash.cfg --odmdata 0x300d8011 --sbk %MYSBK% --sync
cls
echo    **********************************************************
echo    *   Press any key when your A500 is in bootloader mode   *
echo    **********************************************************
pause
echo Flashing patched bootloader V3...
nvflash -r --format_partition 4
nvflash -r --download 4 ics_boot_unlk.bin
echo Flashing Thor Recovery 1.7...
nvflash -r --format_partition 6
nvflash -r --download 6 recovery_thor17_403.img
echo Exiting APX mode...
nvflash -r --go
cls
echo    ********************************************************
echo    *   Hold the power button on your A500 to power off,   *
echo    *            then turn it back on normally             *
echo    ********************************************************
echo Press any key to exit...
pause